* {box-sizing: border-box;}
body{margin: 0;}
form {
  position: relative;
  width: 100%;
}
.d1 input {
  width: 100%;
  height: 42px;
  padding-left: 10px;
  border: 0px solid #F7DB61;
  border-radius: 5px;
  outline: none;
  background: #F9F0DA;
  color: #9E9C9C;
}

.d1 button {
  position: absolute; 
  top: 0;
  right: 0px;
  width: 42px;
  height: 42px;
  border: none;
  background: #F7DB61;
  border-radius: 0 5px 5px 0;
  cursor: pointer;
}
.d1 button:before {
  content: "\f002";
  font-family: FontAwesome;
  font-size: 16px;
  color: #F9F0DA;
}